org.codehaus.plexus.compiler.manager

## Interface CompilerManager

All Known Implementing Classes:
  DefaultCompilerManager

    public interface CompilerManager

Version:
  $Id$
Author:
  Trygve Laugstøl

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`Compiler` `getCompiler(String compilerId)`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### getCompiler

    Compiler getCompiler(String compilerId)
                         throws NoSuchCompilerException

Throws:
  `NoSuchCompilerException`